AppArgOption_t(3)

NAME
AppArgOption_t -

Argument option type'.

SYNOPSIS

#include <appargs.h>

  Public Attributes
AppArgType_t type
argument type
bool mand
mandatory yes/no
bool found
found in argument vector
std::string val
value
bool hasVal
value is set

Detailed Description

Argument option type'.

Member Data Documentation

  bool AppArgOption_t::found

found in argument vector

  bool AppArgOption_t::hasVal

value is set

  bool AppArgOption_t::mand

mandatory yes/no

  AppArgType_t AppArgOption_t::type

argument type

  std::string AppArgOption_t::val

value

Author

Generated automatically by Doxygen for incron from the source code'.